Bug 1765139 - CVE-2019-18348 python34: python: CRLF injection via the host part of the url passed to urlopen() [epel-all]
Summary: CVE-2019-18348 python34: python: CRLF injection via the host part of the url ...
Keywords:
Status: NEW
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python34
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-18348
TreeView+ depends on / blocked
 
Reported: 2019-10-24 12:28 UTC by Riccardo Schirone
Modified: 2019-11-05 09:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Riccardo Schirone 2019-10-24 12:28:59 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Riccardo Schirone 2019-10-24 12:29:01 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1727276,1765139

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Miro Hrončok 2019-10-29 14:53:55 UTC
Carl, could you please have a look? We will not be fixing this one in Fedora.

Comment 3 Carl George 2019-11-04 20:44:50 UTC
I looked into this a bit, and I see that it's not exploitable on a fully patched RHEL/CentOS 7 due to glibc already being patched for CVE-2016-10739.

https://access.redhat.com/security/cve/cve-2019-18348

I'm not opposed to patching this in the EPEL 6 package, but I'm not sure where to start.  I found this upstream bug, but it doesn't reference a commit or pull request fixing the flaw in other branches.

https://bugs.python.org/issue38576

Got any pointers of where to start writing a patch to fix this?

Comment 4 Riccardo Schirone 2019-11-05 09:42:41 UTC
There is no upstream fix for this issue yet, as it is mainly visible on systems where CVE-2016-10739 is not already patched (e.g. some versions of RHEL 7 and maybe some other distros that ship an old glibc version).


Note You need to log in before you can comment on or make changes to this bug.